%define name dfimagetools
%define version 20231205
%define release 1

Summary: Storage media image tools
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.gz
License: Apache License, Version 2.0
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Prefix: %{_prefix}
BuildArch: noarch
Vendor: Log2Timeline maintainers <log2timeline-maintainers@googlegroups.com>
Packager: Log2Timeline maintainers <log2timeline-maintainers@googlegroups.com>
Url: https://github.com/log2timeline/dfimagetools
BuildRequires: python3-devel, python3-setuptools

%description
Collection of tools to process storage media images.

%package -n python3-%{name}
Requires: , libbde-python3 >= 20220121, libcreg-python3 >= 20200725, libewf-python3 >= 20131210, libfsapfs-python3 >= 20220709, libfsext-python3 >= 20220829, libfsfat-python3 >= 20220925, libfshfs-python3 >= 20220831, libfsntfs-python3 >= 20211229, libfsxfs-python3 >= 20220829, libfvde-python3 >= 20220121, libfwnt-python3 >= 20210717, libluksde-python3 >= 20220121, libmodi-python3 >= 20210405, libphdi-python3 >= 20220228, libqcow-python3 >= 20201213, libregf-python3 >= 20201002, libsigscan-python3 >= 20191221, libsmdev-python3 >= 20140529, libsmraw-python3 >= 20140612, libvhdi-python3 >= 20201014, libvmdk-python3 >= 20140421, libvsapm-python3 >= 20230506, libvsgpt-python3 >= 20211115, libvshadow-python3 >= 20160109, libvslvm-python3 >= 20160109, python3-artifacts >= 20220219, python3-cffi >= 1.9.1, python3-cryptography >= 2.0.2, python3-dfdatetime >= 20221112, python3-dfvfs >= 20220831, python3-dfwinreg >= 20211207, python3-dtfabric >= 20220219, python3-idna >= 2.5, python3-pytsk3 >= 20210419, python3-pyxattr >= 0.7.2, python3-pyyaml >= 3.10
Summary: Python 3 module of Storage media image tools

%description -n python3-%{name}
Collection of tools to process storage media images.

%package -n %{name}-tools
Requires: python3-dfimagetools >= %{version}
Summary: Tools for Storage media image tools

%description -n %{name}-tools
Collection of tools to process storage media images.

%prep
%autosetup -n %{name}-%{version}

%build
%py3_build

%install
%py3_install
rm -rf %{buildroot}/usr/lib/python*/site-packages/*.egg-info/requires.txt
rm -rf %{buildroot}/usr/share/doc/%{name}/
mv %{buildroot}/usr/lib/python*/site-packages/tools/ %{buildroot}/usr/bin

%clean
rm -rf %{buildroot}

%files -n python3-%{name}
%license LICENSE
%doc README
%{python3_sitelib}/dfimagetools
%{python3_sitelib}/dfimagetools*.egg-info

%files -n %{name}-tools
%{_bindir}/*

%changelog
* Thu Dec  7 2023 log2timeline development team <log2timeline-dev@googlegroups.com> 20231205-1
- Auto-generated
